Skip to main content
POST
/
clients
/
me
/
integrations
/
yield-xyz
/
actions
/
manage
Manage a yield position
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/yield-xyz/actions/manage \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "yieldId": "<string>",
  "type": "claim-rewards",
  "args": {
    "amount": "<string>",
    "validatorAddress": "<string>",
    "validatorAddresses": [
      "<string>"
    ]
  }
}
'
{
  "data": {
    "rawResponse": {
      "transactions": [
        {}
      ],
      "yieldId": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Body

application/json
yieldId
string
required

The yield opportunity ID.

type
enum<string>
required

The type of management action.

Available options:
claim-rewards,
restake-rewards,
claim-unstaked,
withdraw,
unlock,
stake-unstaked,
vote,
revoke,
rebond
args
object

Response

Manage transactions built successfully

data
object